Merge gettext 0.17-11 (main) from Debian unstable (main)

Bug #577744 reported by Felix Geyer on 2010-05-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gettext (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gettext

Please merge gettext 0.17-11 (main) from Debian unstable (main)

Since version 0.17-10 gettext provides a new package autopoint.
Some packages in Debian sid already build-depend on it, so gettext
needs to be merged before syncing those packages.

Changelog entries since current maverick version 0.17-8ubuntu3:

gettext (0.17-11) unstable; urgency=low

  * Enable java on all architectures, by using default-jdk.
    Thanks to Petr Salinger. Closes: #578602.

 -- Santiago Vila <email address hidden> Fri, 23 Apr 2010 20:21:10 +0200

gettext (0.17-10) unstable; urgency=low

  * Switch to 3.0 (quilt) source format, 10 patches.
  * Create an autopoint package. Packages using autopoint should now
    build-depend on it and drop cvs if they don't use it directly.
    After packages have been updated, the autopoint script will actually
    be moved to the autopoint package. This procedure avoids breaking
    affected packages during the transition period.
  * gettext now recommends autopoint, not cvs.
  * Rewrite of README.Debian to match reality.
  * Added homepage.

 -- Santiago Vila <email address hidden> Sun, 28 Feb 2010 17:43:26 +0100

gettext (0.17-9) unstable; urgency=low

  * Added several lintian overrides.
  * Do not ship empty directories in /usr/share/locale.
  * gettext-el: Update Depends to current emacs (emacs23).
  * Disable java for hurd-i386, kfreebsd-amd64 and kfreebsd-i386,
    as they don't have openjdk yet. Closes: #568390.

 -- Santiago Vila <email address hidden> Sun, 14 Feb 2010 16:48:00 +0100

Related branches

Felix Geyer (debfx) wrote :

gettext (0.17-11ubuntu1) maverick; urgency=low

  * Resynchronise with Debian (LP: #577744). Remaining changes:
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - gettext-tools/src/write-catalog.c:
      - Add missing "mode" parameter to fix FTBFS.
    - Use autoconf's preferred shell when invoking config.status.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
  * Convert Ubuntu direct source changes to quilt patches (u01 and u02).

 -- Felix Geyer <email address hidden> Sun, 09 May 2010 10:05:58 +0200

Benjamin Drung (bdrung) wrote :

uploaded

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gettext - 0.17-11ubuntu1

---------------
gettext (0.17-11ubuntu1) maverick; urgency=low

  * Resynchronise with Debian (LP: #577744). Remaining changes:
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - gettext-tools/src/write-catalog.c:
      - Add missing "mode" parameter to fix FTBFS.
    - Use autoconf's preferred shell when invoking config.status.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
  * Convert Ubuntu direct source changes to quilt patches (u01 and u02).

gettext (0.17-11) unstable; urgency=low

  * Enable java on all architectures, by using default-jdk.
    Thanks to Petr Salinger. Closes: #578602.

gettext (0.17-10) unstable; urgency=low

  * Switch to 3.0 (quilt) source format, 10 patches.
  * Create an autopoint package. Packages using autopoint should now
    build-depend on it and drop cvs if they don't use it directly.
    After packages have been updated, the autopoint script will actually
    be moved to the autopoint package. This procedure avoids breaking
    affected packages during the transition period.
  * gettext now recommends autopoint, not cvs.
  * Rewrite of README.Debian to match reality.
  * Added homepage.

gettext (0.17-9) unstable; urgency=low

  * Added several lintian overrides.
  * Do not ship empty directories in /usr/share/locale.
  * gettext-el: Update Depends to current emacs (emacs23).
  * Disable java for hurd-i386, kfreebsd-amd64 and kfreebsd-i386,
    as they don't have openjdk yet. Closes: #568390.
 -- Felix Geyer <email address hidden> Sun, 09 May 2010 10:05:58 +0200

Changed in gettext (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers